@use "../../../styles/mixins";
@use "../../../styles/screens";
@use "../../../styles/typography";
@use "../../../styles/variables";

.dashStudent {
    padding: 0 20px;

    @include screens.laptop {
        padding: 20px 40px;
    }

    &Title {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 1.5rem;
        text-align: center;
        margin-bottom: 20px;

        @include screens.laptop {
            font-size: 3rem;
        }
    }

    &Progress {

        &Title {
            font-weight: bold;
            margin: 20px 0;
            font-size: 24px;
        }

        div {
            display: flex;
            justify-content: space-between;
            align-items: center;

            p {
                margin: 0;
                font-size: 18px;
            }
        }

        progress {
            overflow: hidden;
            border-radius: 10px;
            width: 80%;
        }
        progress::-webkit-progress-value {background-color: variables.$orange !important;}
        progress::-webkit-progress-bar {background-color: variables.$orangeLigth}

    }

    .section {
        font-size: 14px;

        @include screens.laptop {
            margin-top: 30px;
            display: grid;
            grid-template-columns: 1fr 375px;
            font-size: 20px;
        }

        .lesson {

            &Title {
                font-weight: bold;
                margin: 20px 0;
                font-size: 24px;
            }

            &2{
                margin-top: 10px;
            }
        }
    }

    .map > div {
        margin-top: 20px;
        border-radius: 20px;
        overflow: hidden;
    }
}